/* Copyright (C) 2007 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#include "command_list.h"
#include <QVBoxLayout>
#include <QListWidget>

CommandList::CommandList( QWidget * parent ):BaseWidget(parent)
{
	setWindowTitle("Commands' List");
	setWindowIcon(QIcon(QString(ICON_PATH)+"/news_section.png"));
	
	QVBoxLayout *layout=new QVBoxLayout;
	
	list=new QListWidget(this);
	list->show();
	
	QObject::connect(list, SIGNAL(itemActivated(QListWidgetItem *)), this, SLOT(itemClicked ( QListWidgetItem *)) );
	
	layout->addWidget(list);
	
	setLayout(layout);
}

void CommandList::setLineEdit(QLineEdit *lineEdit)
{
	this->lineEdit=lineEdit;
}

void CommandList::set_list(QStringList list)
{
	this->list->clear();
	this->list->addItems(list);
	QListWidgetItem *item=this->list->item(list.size()-1);
	this->list->scrollToItem(item);
}

void CommandList::itemClicked ( QListWidgetItem * item )
{
	lineEdit->setText(item->text());
}




